﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;

namespace ApiLog.Act.Tools
{
    /// <summary>
    /// kafka配置信息
    /// </summary>
    public class KafkaConfig
    {
        #region 初始化

        /// <summary>
        /// 初始化
        /// </summary>
        /// <returns></returns>
        public static KafkaConfig GetInstance()
        {
            KafkaConfig kafkaConfig = new KafkaConfig();
            kafkaConfig.IsEnable = false;
            return kafkaConfig;
        }

        #endregion

        /// <summary>
        /// 是否启用kafka
        /// </summary>
        public bool IsEnable { get; set; }

        /// <summary>
        /// kafka后台IP+端口
        /// </summary>
        public string BrokerUrl { get; set; }

        /// <summary>
        /// topic Name
        /// </summary>
        public string Topic { get; set; }

        /// <summary>
        /// group Id
        /// </summary>
        public string GroupId { get; set; }
    }
}
