﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Configuration;

namespace ApiLog.Act.Tools
{
    /// <summary>
    /// 系统帮助类
    /// </summary>
    public static class SysUtil
    {
        #region 日志追踪ID(第一次新增日志的主键ID)【单系统专用】

        /// <summary>
        /// 日志追踪ID(第一次新增日志的主键ID)【单系统专用】
        /// </summary>
        /// <returns></returns>
        public static string GetTraceId()
        {
            if (System.Web.HttpContext.Current == null || System.Web.HttpContext.Current.Request == null || System.Web.HttpContext.Current.Request.Headers == null)
                return null;
            return System.Web.HttpContext.Current.Request.Headers.Get(nameof(APILogConfig.PoJun_LogTraceID));
        }

        #endregion

        #region 全局日志追踪ID（日志调用链专用）

        /// <summary>
        /// 全局日志追踪ID（日志调用链专用）
        /// </summary>
        /// <returns></returns>
        public static string GlobalTraceId()
        {
            if (System.Web.HttpContext.Current == null || System.Web.HttpContext.Current.Request == null || System.Web.HttpContext.Current.Request.Headers == null)
                return null;
            return System.Web.HttpContext.Current.Request.Headers.Get(nameof(APILogConfig.PoJun_GlobalLogTraceID));
        }

        #endregion

        #region 获取系统ID

        /// <summary>
        /// 获取系统ID
        /// </summary>
        /// <returns></returns>
        public static string GetSystemId()
        {
            var sysId = ConfigurationManager.AppSettings["SystemID"];
            if (sysId == null)
                return "";
            else
                return sysId.ToString();
        }

        #endregion
    }
}
